Package org.apache.nutch.scoring.webgraph

## Class NodeDumper.Sorter.SorterReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<FloatWritable,​Text,​Text,​FloatWritable>
  - - org.apache.nutch.scoring.webgraph.NodeDumper.Sorter.SorterReducer

- Enclosing class:
    NodeDumper.Sorter

      public static class NodeDumper.Sorter.SorterReducer
      extends Reducer<FloatWritable,​Text,​Text,​FloatWritable>

  Flips and collects the url and numeric sort value.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SorterReducer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `reduce​(FloatWritable key, Iterable<Text> values, Reducer.Context context)` |
    `void` | `setup​(Reducer.Context context)` | Configures the reducer, sets the flag for type of content and the topN number if any.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SorterReducer

          public SorterReducer()

  - ### Method Detail

    - #### setup

          public void setup​(Reducer.Context context)

      Configures the reducer, sets the flag for type of content and the topN number if any.
      Overrides:
        `setup` in class `Reducer<FloatWritable,​Text,​Text,​FloatWritable>`

    - #### reduce

          public void reduce​(FloatWritable key,
                             Iterable<Text> values,
                             Reducer.Context context)
                      throws IOException,
                             InterruptedException

      Overrides:
        `reduce` in class `Reducer<FloatWritable,​Text,​Text,​FloatWritable>`
      Throws:
        `IOException`
        `InterruptedException`